/* You can add global styles to this file, and also import other style files */
/*Font*/
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@400;800&display=swap');

:root {
  --yellow: #BBA9DC;
  --brown: #F97E98;
  --sepia: #FCF7FF;
  --green: rgba(249, 248, 113, 0.6);
  --title-size: 25px;
  --subtitle-size: 22px;
  --text-size: 18px;
  --small-size: 15px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  font-family: 'Raleway', sans-serif;
  font-weight: 400;
  font-size: var(--text-size);
  color: black;
}

body {
  background: linear-gradient(#7f68d7, #BBA9DC);
}

p:hover {
  cursor: default;
}

svg {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  fill: rgba(187, 169, 220, 0.8);
}

a {
  font-size: var(--small-size);
  cursor: pointer;
}

.container {
  max-width: 1220px;
  margin: 0 auto;
}

.content-container {
  padding: 0px 25px;
}

.link-with-icon-box {
  display: flex;
  align-items: center;
}

.link-with-icon-box p {
  font-size: var(--small-size);
}

.blacked {
  font-weight: 800;
}

.btn {
  font-weight: bold;
  cursor: pointer;
  background-color: transparent;
  border: 2px solid var(--yellow);
  border-radius: 3px;
  padding: 6px 10px;
  color: var(--green);
  font-size: var(--small-size);
  transition: all 0.2s ease-in-out;
}

.btn:hover {
  background-color: var(--brown);
  color: var(--yellow);
  border-color: var(--brown);
}

.box-text {
  font-size: 16px;
  padding: 8px 0;
  animation: fadein 2s;
}

.box-title {
  margin: 15px auto;
  font-weight: bold;
  font-size: 18px;
  text-transform: uppercase;
  color: black;
}

.box-contacts {
  margin: 20px 10px;
}

.blacked {
  font-weight: 800;
}

.flexed {
  display: flex;
  align-items: center;
}

.warning {
  color: var(--green);
}

.alert {
  padding-bottom: 10px;
  color: #ed3003;
  font-size: var(--small-size);
}

.success {
  padding-bottom: 10px;
  color: #ffeb64;
  font-size: var(--small-size);
}

/*form*/

.form-group {
  margin: 20px 0px;
  display: flex;
  flex-direction: row-reverse;
  gap: 10px;
  justify-content: center;
}

.form-input {
  margin: 10px 0;
  width: 100%;
  border: 1px solid var(--yellow);
  border-radius: 13px;
  padding: 10px 15px;
  outline: none;
  font-size: var(--small-size);
  resize: none;
}

.disabled {
  background-color: #fff;
  color: gray;
  border-color: gray;
}

.btn:hover.disabled {
  background-color: #fff;
  color: gray;
  border-color: gray;
}

.isScroll {
  overflow: hidden !important;
}

.loader-container {
  text-align: center;
}

@keyframes fadein {
  from { opacity: 0; }
  to   { opacity: 1; }
}

